Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 8dbae309bba5448ab0a720ab47d29953609fef4a)
+++ chapter01/changelog.xml	(revision f7cea723fc9485c7a0a0f97643a01b97928c6b2b)
@@ -44,4 +44,43 @@
 -->
     <listitem>
+      <para>2018-12-27</para>
+      <itemizedlist>
+        <listitem>
+          <para>[renodr] - Update to linux-4.19.12. Fixes
+          <ulink url="&lfs-ticket-root;4389">#4389</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to e2fsprogs-1.44.5. Fixes
+          <ulink url="&lfs-ticket-root;4390">#4390</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to bison-3.2.4. Fixes
+          <ulink url="&lfs-ticket-root;4391">#4391</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to sed-4.7. Fixes
+          <ulink url="&lfs-ticket-root;4392">#4392</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to grep-3.3. Fixes
+          <ulink url="&lfs-ticket-root;4393">#4393</ulink>.</para>
+        </listitem>
+        <listitem revision="systemd">
+          <para>[renodr] - Update to systemd-240. Contains a critical fix for
+          systemd-tmpfiles (privilege escalation). Fixes
+          <ulink url="&lfs-ticket-root;4394">#4394</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to Python-3.7.2. Fixes
+          <ulink url="&lfs-ticket-root;4395">#4395</ulink>.</para>
+        </listitem>
+        <listitem>
+          <para>[renodr] - Update to groff-1.22.4. Fixes
+          <ulink url="&lfs-ticket-root;4396">#4396</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
+
+    <listitem>
       <para>2018-12-12</para>
       <itemizedlist>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 8dbae309bba5448ab0a720ab47d29953609fef4a)
+++ chapter01/whatsnew.xml	(revision f7cea723fc9485c7a0a0f97643a01b97928c6b2b)
@@ -111,10 +111,10 @@
       <para>Gperf-&gperf-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Grep-&grep-version;</para>
-    </listitem>-->
-    <!--<listitem>
+    </listitem>
+    <listitem>
       <para>Groff-&groff-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>GRUB-&grub-version;</para>
@@ -210,7 +210,7 @@
       <para>Readline-&readline-version;</para>
     </listitem>-->
-    <!--<listitem>
+    <listitem>
       <para>Sed-&sed-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Shadow-&shadow-version;</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 8dbae309bba5448ab0a720ab47d29953609fef4a)
+++ chapter06/systemd.xml	(revision f7cea723fc9485c7a0a0f97643a01b97928c6b2b)
@@ -54,18 +54,10 @@
     <para>Set up the man pages:</para>
 
-<screen><userinput remap="pre">tar -xf ../systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz</userinput></screen>
+<screen><userinput remap="pre">tar -xf ../systemd-man-pages-&systemd-version;.tar.xz</userinput></screen>
 
     <para>Remove tests that cannot be built in chroot:</para>
 
-<screen><userinput remap="pre">sed '166,$ d' -i src/resolve/meson.build</userinput></screen>
-<!--
-    <para>Apply a patch to fix a build failure with glibc-2.28:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-glibc_statx_fix-1.patch</userinput></screen>
-
-    <para>Apply a patch to fix a build failure with meson-0.48.0:</para>
-
-<screen><userinput remap="pre">patch -Np1 -i ../systemd-&systemd-version;-meson-0.48.0_fixes-1.patch</userinput></screen>
--->
+<screen><userinput remap="pre">sed '177,$ d' -i src/resolve/meson.build</userinput></screen>
+
     <para>Remove an unneeded group,
     <systemitem class="groupname">render</systemitem>, from the default udev
@@ -195,15 +187,4 @@
 
 <screen><userinput remap="install">rm -rfv /usr/lib/rpm
-<!--
-    <para>Create the Sysvinit compatibility symlinks, so systemd is used
-    as the default init system:</para>
-
-<screen><userinput remap="install">for tool in runlevel reboot shutdown poweroff halt telinit; do
-     ln -sfv ../bin/systemctl /sbin/${tool}
-done
-ln -sfv ../lib/systemd/systemd /sbin/init</userinput></screen>
-
-    <para>Remove our earlier created symlink for xsltproc:</para>
--->
 rm -f /usr/bin/xsltproc</userinput></screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision 8dbae309bba5448ab0a720ab47d29953609fef4a)
+++ general.ent	(revision f7cea723fc9485c7a0a0f97643a01b97928c6b2b)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20181212">
+<!ENTITY version         "SVN-20181227">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20181212-systemd">
+<!ENTITY versiond        "20181227-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "December 12, 2018">
+<!ENTITY releasedate     "December 27, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
Index: packages.ent
===================================================================
--- packages.ent	(revision 8dbae309bba5448ab0a720ab47d29953609fef4a)
+++ packages.ent	(revision f7cea723fc9485c7a0a0f97643a01b97928c6b2b)
@@ -71,8 +71,8 @@
 <!ENTITY binutils-ch6-sbu "6.6 SBU">
 
-<!ENTITY bison-version "3.2.2">
-<!ENTITY bison-size "2,043 KB">
+<!ENTITY bison-version "3.2.4">
+<!ENTITY bison-size "2,048 KB">
 <!ENTITY bison-url "&gnu;bison/bison-&bison-version;.tar.xz">
-<!ENTITY bison-md5 "9595087bdcb4c508de993a8a3c7a3993">
+<!ENTITY bison-md5 "4c8cec0ca8b637d46f24902d032b9296">
 <!ENTITY bison-home "&gnu-software;bison/">
 <!ENTITY bison-ch5-du "35 MB">
@@ -145,8 +145,8 @@
 <!ENTITY diffutils-ch6-sbu "0.4 SBU">
 
-<!ENTITY e2fsprogs-version "1.44.4">
-<!ENTITY e2fsprogs-size "7,419 KB">
+<!ENTITY e2fsprogs-version "1.44.5">
+<!ENTITY e2fsprogs-size "7,448 KB">
 <!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "156e94a6169ca1fa3f0c6749ae5921b9">
+<!ENTITY e2fsprogs-md5 "8d78b11d04d26c0b2dd149529441fa80">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "96 MB">
@@ -290,8 +290,8 @@
 <!ENTITY gperf-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY grep-version "3.1">
-<!ENTITY grep-size "1,339 KB">
+<!ENTITY grep-version "3.3">
+<!ENTITY grep-size "1,440 KB">
 <!ENTITY grep-url "&gnu;grep/grep-&grep-version;.tar.xz">
-<!ENTITY grep-md5 "feca7b3e7c7f4aab2b42ecbfc513b070">
+<!ENTITY grep-md5 "05d0718a1b7cc706a4bdf8115363f1ed">
 <!ENTITY grep-home "&gnu-software;grep/">
 <!ENTITY grep-ch5-du "20 MB">
@@ -300,8 +300,8 @@
 <!ENTITY grep-ch6-sbu "0.4 SBU">
 
-<!ENTITY groff-version "1.22.3">
-<!ENTITY groff-size "4,091 KB">
+<!ENTITY groff-version "1.22.4">
+<!ENTITY groff-size "4,044 KB">
 <!ENTITY groff-url "&gnu;groff/groff-&groff-version;.tar.gz">
-<!ENTITY groff-md5 "cc825fa64bc7306a885f2fb2268d3ec5">
+<!ENTITY groff-md5 "08fb04335e2f5e73f23ea4c3adbf0c5f">
 <!ENTITY groff-home "&gnu-software;groff/">
 <!ENTITY groff-ch6-du "90 MB">
@@ -424,10 +424,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "19">
-<!ENTITY linux-patch-version "8">
+<!ENTITY linux-patch-version "12">
 <!--<!ENTITY linux-version "&linux-major-version;.&linux-minor-version;">-->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "100,705 KB">
+<!ENTITY linux-size "100,728 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "52f552cea1863c928cb8b9dd09cdaf29">
+<!ENTITY linux-md5 "cb545cc42a5dd593bb554dd3b5adfae0">
 <!ENTITY linux-home "https://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -576,15 +576,15 @@
      meson pages will be needed: python3.6 and python3.6m -->
 
-<!ENTITY python-version "3.7.1">
+<!ENTITY python-version "3.7.2">
 <!ENTITY python-minor "3.7">
-<!ENTITY python-size "16,568 KB">
+<!ENTITY python-size "16,648 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "0a57e9022c07fad3dadb2eef58568edb">
+<!ENTITY python-md5 "df6ec36011808205beda239c72f947cb">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch6-du "390 MB">
 <!ENTITY python-ch6-sbu "1.3 SBU">
 <!ENTITY python-docs-url "https://docs.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "6f725b02a9ecd0d0ce1832ac970962df">
-<!ENTITY python-docs-size "6,044 KB">
+<!ENTITY python-docs-md5 "107ade7bb17efd104a22b2d457f4cb67">
+<!ENTITY python-docs-size "6,072 KB">
 
 <!ENTITY readline-version "7.0">
@@ -596,8 +596,8 @@
 <!ENTITY readline-ch6-sbu "0.1 SBU">
 
-<!ENTITY sed-version "4.5">
-<!ENTITY sed-size "1,245 KB">
+<!ENTITY sed-version "4.7">
+<!ENTITY sed-size "1,268 KB">
 <!ENTITY sed-url "&gnu;sed/sed-&sed-version;.tar.xz">
-<!ENTITY sed-md5 "ade8f8c2c548bf41f74db2dcfc37e4e3">
+<!ENTITY sed-md5 "777ddfd9d71dd06711fe91f0925e1573">
 <!ENTITY sed-home "&gnu-software;sed/">
 <!ENTITY sed-ch5-du "17 MB">
@@ -622,14 +622,17 @@
 <!ENTITY sysklogd-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY systemd-version  "239">
-<!ENTITY systemd-stable   "6b4878d">
-<!ENTITY systemd-size     "4,748 KB">
-<!--<!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">-->
-<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">
-<!ENTITY systemd-md5      "0d0a6752b2199aca4de0de3eea5db788">
+<!ENTITY systemd-version  "240">
+<!--<!ENTITY systemd-stable   "6b4878d">-->
+<!-- The above entity is used whenever we move to a stable backport branch. In the event of a critical problem or kernel
+     change that is incompatible, we will switch to the backport branch until the next stable release. -->
+<!ENTITY systemd-size     "7,412 KB">
+<!ENTITY systemd-url      "&github;/systemd/systemd/archive/v&systemd-version;/systemd-&systemd-version;.tar.gz">
+<!--<!ENTITY systemd-url      "&anduin-sources;/systemd-&systemd-version;-&systemd-stable;.tar.xz">-->
+<!ENTITY systemd-md5      "0e4f91b513d4b04e2c10a5173e5a87b2">
 <!ENTITY systemd-home     "https://www.freedesktop.org/wiki/Software/systemd/">
-<!ENTITY systemd-man-size "356 KB">
-<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">
-<!ENTITY systemd-man-md5  "1fc6949f4e25b1792aa957bb1575f4b1">
+<!ENTITY systemd-man-size "464 KB">
+<!--<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;-&systemd-stable;.tar.xz">-->
+<!ENTITY systemd-man-url  "&anduin-sources;/systemd-man-pages-&systemd-version;.tar.xz">
+<!ENTITY systemd-man-md5  "908241937e3ec2441fa8aaeaa5993d0f">
 <!ENTITY systemd-ch6-du   "297 MB">
 <!ENTITY systemd-ch6-sbu  "1.1 SBU">
